Loading...
Searching...
No Matches
ClosestPointProjector< CptGridT > Class Template Reference

`#include <openvdb/tools/PointAdvect.h>`

## Public Types

using | CptGridType = CptGridT
using | CptAccessor = typename CptGridType::ConstAccessor
using | CptValueType = typename CptGridType::ValueType

## Public Member Functions

| ClosestPointProjector ()
| ClosestPointProjector (const CptGridType &cptGrid, int n)
| ClosestPointProjector (const ClosestPointProjector &other)
void | setConstraintIterations (unsigned int cptIterations)
unsigned int | numIterations ()
template<typename LocationType >
void | projectToConstraintSurface (LocationType &W) const

## Detailed Description

template<typename CptGridT = Vec3fGrid>
class openvdb::v11_0::tools::ClosestPointProjector< CptGridT >

Class that holds a Vec3 grid, to be interpreted as the closest point to a constraint surface. Supports a method to allow a point to be projected onto the closest point on the constraint surface. Uses Caching.

## Member Typedef Documentation

## CptAccessor

template<typename CptGridT = Vec3fGrid>

using CptAccessor = typename CptGridType::ConstAccessor

## CptGridType

template<typename CptGridT = Vec3fGrid>

using CptGridType = CptGridT

## CptValueType

template<typename CptGridT = Vec3fGrid>

using CptValueType = typename CptGridType::ValueType

## Constructor & Destructor Documentation

## ClosestPointProjector() [1/3]

template<typename CptGridT = Vec3fGrid>

ClosestPointProjector | ( |  | ) |

inline

## ClosestPointProjector() [2/3]

template<typename CptGridT = Vec3fGrid>

ClosestPointProjector | ( | const CptGridType & | cptGrid,
|  | int | n
| ) |  |

inline

## ClosestPointProjector() [3/3]

template<typename CptGridT = Vec3fGrid>

ClosestPointProjector | ( | const ClosestPointProjector< CptGridT > & | other | ) |

inline

## Member Function Documentation

## numIterations()

template<typename CptGridT = Vec3fGrid>

unsigned int numIterations | ( |  | ) |

inline

## projectToConstraintSurface()

template<typename CptGridT = Vec3fGrid>
template<typename LocationType >

void projectToConstraintSurface | ( | LocationType & | W | ) | const

inline

## setConstraintIterations()

template<typename CptGridT = Vec3fGrid>

void setConstraintIterations | ( | unsigned int | cptIterations | ) |

inline